const webpack = require('webpack');
const path = require('path');
const HTMLWebpackPlugin = require('html-webpack-plugin');
/* add promise in project IE11 */
const ES6Promise = require('es6-promise');
ES6Promise.polyfill();

module.exports = {
  target: ['web', 'es3'],
  entry: './src/index.ts',
 // devtool: 'inline-source-map', 
  mode: "production",//production||development
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        use: {
          loader:'ts-loader', 
        },
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    extensions: ['.tsx', '.ts'],
  },
  output: {
    filename: 'ValidationSnils.js',
    path: path.resolve(__dirname, 'js'),
    clean:true,
  },
  plugins: [
		new HTMLWebpackPlugin({
           filename: 'index.html',
           template: 'index.html'
        }),
		new webpack.ProvidePlugin({
			// add promise in project IE11
			Promise: 'es6-promise', // works as expected
		}),
    
	],
};